Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363667 - Alternatives does not sym link java
Summary: Alternatives does not sym link java
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: chkconfig
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 10:23 UTC by Tony Barry
Modified: 2017-08-08 16:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:12:02 UTC


Attachments (Terms of Use)

Description Tony Barry 2016-08-03 10:23:18 UTC
Description of problem:
I wish to use Oracles Java installed at /usr/java/default(symlink to jdk1.8.0) instead of openJDK.
The command 
$sudo /usr/bin/alternatives --install /usr/bin/java java /usr/default/bin/java 20000 
did not create a symlink to /usr/default/bin/java.
I manually created the symlink in /etc/alternatives after renaming the existing symlink which solved my problem.

To test further I issued this command 
$sudo /,,/alternatives --install /usr/lib/jvm/jre jre /usr/java/default/jre 2000
this did create the required symlink in /etc/alternatives.

To test further still I attempted to revert to OpenJDK with
$sudo /../alternatives --install /usr/bin/java java /usr/lib/jvm/java....64/jre/bin/java 1000
this also failed to create the required symlink.

This is a fresh install of Fedora 24.

Version-Release number of selected component (if applicable):1.7


How reproducible:

Every time

Steps to Reproduce:
1.sudo /usr/bin/alternatives --install /usr/bin/java java /'path to target' 20000
2.
3.

Actual results:
Existing java symlink in /etc/alternatives is unchanged

Expected results:
Java symlink in /etc/alternatives should now point to 'path to target'

Additional info:

Comment 1 Fedora End Of Life 2017-07-25 22:13:59 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 16:12:02 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.